Bug 1914719 (CVE-2021-20177) - CVE-2021-20177 kernel: iptables string match rule could result in kernel panic
Summary: CVE-2021-20177 kernel: iptables string match rule could result in kernel panic
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-20177
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1914720
Blocks: 1913711
TreeView+ depends on / blocked
 
Reported: 2021-01-11 01:53 UTC by Wade Mealing
Modified: 2021-05-26 14:39 UTC (History)
47 users (show)

Fixed In Version: kernel 5.5-rc1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's implementation of string matching within a packet. A privileged user (with root or CAP_NET_ADMIN) when inserting iptables rules could insert a rule which can panic the system.
Clone Of:
Environment:
Last Closed: 2021-01-11 06:27:42 UTC


Attachments (Terms of Use)

Description Wade Mealing 2021-01-11 01:53:33 UTC
A flaw was found in the Linux kernels implementation of string matching within a packet.  A privileged user ( with root or CAP_NET_ADMIN ) when inserting iptables rules could insert a rule which can panic the system.

This could lead to a denial of service or possibly worse. Further investigation is ongoing.

Upstream patch:
https://github.com/torvalds/linux/commit/ca58fbe06c54

Upstream bugzilla:
https://bugzilla.kernel.org/show_bug.cgi?id=209823

Comment 1 Wade Mealing 2021-01-11 01:54:00 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1914720]

Comment 5 Wade Mealing 2021-01-11 02:39:10 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options do not meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 8 Justin M. Forbes 2021-01-22 13:15:19 UTC
This was fixed for Fedora with the 5.5 kernel rebases.


Note You need to log in before you can comment on or make changes to this bug.